Package com.sas.services.user

# Class SummaryData

java.lang.Object
com.sas.services.user.SummaryData

All Implemented Interfaces:
  `Serializable`

public class SummaryData extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SummaryData(Date startDate, int authentications, int failures, int currentUsers, List failureDetails, List currentUserDetails)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getAuthentications()`
  `final List`
  `getCurrentUserDetails()`
  `final int`
  `getCurrentUsers()`
  `final List`
  `getFailureDetails()`
  `final int`
  `getFailures()`
  `final Date`
  `getStartDate()`
  `final void`
  `setAuthentications(int authentications)`
  `final void`
  `setCurrentUserDetails(List currentUserDetails)`
  `final void`
  `setCurrentUsers(int currentUsers)`
  `final void`
  `setFailureDetails(List failureDetails)`
  `final void`
  `setFailures(int failures)`
  `final void`
  `setStartDate(Date startDate)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SummaryData

    public SummaryData(Date startDate, int authentications, int failures, int currentUsers, List failureDetails, List currentUserDetails)

- ## Method Details

  - ### getAuthentications

    public final int getAuthentications()

  - ### setAuthentications

    public final void setAuthentications(int authentications)

  - ### getCurrentUserDetails

    public final List getCurrentUserDetails()

  - ### setCurrentUserDetails

    public final void setCurrentUserDetails(List currentUserDetails)

  - ### getCurrentUsers

    public final int getCurrentUsers()

  - ### setCurrentUsers

    public final void setCurrentUsers(int currentUsers)

  - ### getFailureDetails

    public final List getFailureDetails()

  - ### setFailureDetails

    public final void setFailureDetails(List failureDetails)

  - ### getFailures

    public final int getFailures()

  - ### setFailures

    public final void setFailures(int failures)

  - ### getStartDate

    public final Date getStartDate()

  - ### setStartDate

    public final void setStartDate(Date startDate)